Docs Rizler

V2 Call Handling

V2 Update Voicemail Settings

PATCHhttps://app.rizzdial.com/api/ai/agent/v2/manage/call-handling/voicemail/{agent_id}
V2 Update Voicemail Settings
curl --request PATCH \
  --url https://app.rizzdial.com/api/ai/agent/v2/manage/call-handling/voicemail/agent_123 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "isEnabled": true,
  "behaviorType": "static",
  "staticPhrase": "value",
  "recognitionEngine": "value",
  "voicemailHandling": "hang_up",
  "immediateDetection": true,
  "screeningInstructions": "value",
  "voicemail_action_type": "hangup",
  "additionalInstructions": "value",
  "enable_smart_screening": true,
  "screening_instructions": "value",
  "smartScreeningHandling": true,
  "voicemail_message_text": "value",
  "voiceRecognitionEnabled": true,
  "enable_voicemail_detection": true,
  "voicemail_detection_timeout_ms": 5000
}'
{
  "data": {
    "agent_id": "agent_123"
  },
  "message": "Saved",
  "success": true
}

V2 Update Voicemail Settings#

Update voicemail / IVR detection settings for an AI agent. V2 agents only.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

agent_idstringpathrequired

Public agent id from List Agents

isEnabledbooleanbody

send only when changing this field

behaviorTypestringbody

One of: static, smartV1. may be null. send only when changing this field

staticPhrasestringbody

may be null. send only when changing this field

additionalInstructionsstringbody

may be null. send only when changing this field

enable_voicemail_detectionbooleanbody

send only when changing this field

voicemail_action_typestringbody

One of: hangup, static_text, prompt. may be null. send only when changing this field

voicemail_message_textstringbody

may be null. send only when changing this field

voicemail_detection_timeout_msintegerbody

One of: 5000. min 5000. max 120000. send only when changing this field

smartScreeningHandlingbooleanbody

send only when changing this field

enable_smart_screeningbooleanbody

send only when changing this field

screeningInstructionsstringbody

may be null. send only when changing this field

screening_instructionsstringbody

may be null. send only when changing this field

voicemailHandlingstringbody

One of: hang_up, leave_message. send only when changing this field

voiceRecognitionEnabledbooleanbody

send only when changing this field

recognitionEnginestringbody

may be null. send only when changing this field

immediateDetectionbooleanbody

send only when changing this field

curl --request PATCH \
  --url https://app.rizzdial.com/api/ai/agent/v2/manage/call-handling/voicemail/agent_123 \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{"isEnabled":true,"behaviorType":"static","staticPhrase":"value","additionalInstructions":"value","enable_voicemail_detection":true,"voicemail_action_type":"hangup","voicemail_message_text":"value","voicemail_detection_timeout_ms":1,"smartScreeningHandling":true,"enable_smart_screening":true,"screeningInstructions":"value","screening_instructions":"value","voicemailHandling":"hang_up","voiceRecognitionEnabled":true,"recognitionEngine":"value","immediateDetection":true}'
successboolean

true when the call succeeds. Some list responses use status: success instead

dataobject

The saved record, or the list of records